%define anolis_release 3
## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cmarkgfm

Name:           python-%{pypi_name}
Version:        0.8.0
Release: %{anolis_release}%{dist}

Summary:        Minimal bindings to GitHub's fork of cmark

License:        MIT
URL:            https://github.com/jonparrott/cmarkgfm
Source0:        %{pypi_source}

BuildRequires:  gcc

%description
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-cffi
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Bindings to GitHub's cmark Minimalist bindings to GitHub's fork of cmark.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
chmod -x README.rst LICENSE.txt

%build
%py3_build

%install
%py3_install

%generate_compatibility_deps

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%dir %{abidir}
%license LICENSE.txt
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py*.egg-info/
%{abidir}/_cmark.abi3.dump

%files doc
%doc README.rst

%changelog
* Thu Nov 14 2024 Wenlong Zhang <zhangwenlong@loongson.cn> 0.8.0-3
- generate_compatibility_deps should not in check stage

* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.8.0-2
- Rebuild with python3.11

* Mon Mar 27 2023 Heng Qi <hengqi@linux.alibaba.com> - 0.8.0-1
- Init package from upstream
